Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029780
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementminoralways2015-04-08 19:082015-05-08 12:54
ReportercaristuView Statuspublic 
Assigned ToSandrahuguet 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q2.1
StatusclosedFix in branchFixed in SCM revision91d01b8f8436
ProjectionnoneETAnoneTarget Version3.0PR15Q2.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-06-19
Regression introduced in release3.0PR14Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/f94f08e02e3a [^]
Triggers an Emergency PackNo
Summary

0029780: The done button appears disabled when it should not under some circumstances in Add Payment window

DescriptionThe done button appears disabled when it should not under some circumstances in Add Payment window.

The done button is disabled when not all the mandatory fields are populated, taking this into account, it is possible to follow some steps that makes this mechanism to detect that the overpayment action is not populated when it is hidden.

This causes the disabling of the Done button when it should not.
Steps To Reproduce1) Create a new Sales Order for the "Restaurantes Luna Llena, S.A." business partner
2) Create a line with one unit of product "Agua Sin Gas 1L"
3) Book it
4) Go to the [Payment In] window and create one record in the header, with Received From: Restaurantes Luna Llena, S.A. and amount: 1
5) Click in "Add Details" button. If there are not invoices to pay, the overpayment action field will appear. Leave it empty.
6) Switch the Transaction Type to "Orders". The order created previously is selected by default, with the amount set, so the Done button should be enabled. But it is disabled.
In order to disable we just need to write in the actual payment field

This behavior can be reproduced following other flows.
Proposed SolutionThe mandatory hidden fields should not be considered by the Done button disabling logic when they are not populated.
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00295323.0PR15Q3 closedSandrahuguet The done button appears disabled when it should not under some circumstances in Add Payment window 

-  Notes
(0077051)
Sandrahuguet (developer)
2015-05-06 13:05

Test Plan:

Create a new Sales Order for the "Restaurantes Luna Llena, S.A." business partner
Create a line with one unit of product "Agua Sin Gas 1L"
Book it
Go to Payment In window and create one record in the header, with Received From: Restaurantes Luna Llena, S.A. and amount: 1
Click in "Add Details" button. If there are not invoices to pay, the overpayment action field will appear. Leave it empty.
Switch the Transaction Type to "Orders". The order created previously is selected by default, with the amount set
Done button should be enabled
(0077231)
hgbot (developer)
2015-05-08 12:53

Repository: erp/backports/3.0PR15Q2.1
Changeset: 91d01b8f8436ba6ee1e08d38c731002b919e639a
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed May 06 11:09:24 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2.1/rev/91d01b8f8436ba6ee1e08d38c731002b919e639a [^]

Fixed bug 29780 The done button appears disabled when it should not

null parameter when it should be the view in recalcDisplayLogicOrReadOnlyLogic
call in updateDifference function

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
---
(0077232)
umartirena (developer)
2015-05-08 12:54

Code Review + Testing OK

- Issue History
Date Modified Username Field Change
2015-05-05 16:46 Sandrahuguet Type defect => backport
2015-05-05 16:46 Sandrahuguet Target Version 3.0PR15Q3 => 3.0PR15Q2.1
2015-05-05 17:43 dmitry_mezentsev Tag Attached: Approved
2015-05-06 13:05 Sandrahuguet Note Added: 0077051
2015-05-06 13:43 Sandrahuguet Priority normal => immediate
2015-05-06 13:43 Sandrahuguet Review Assigned To => umartirena
2015-05-08 12:53 hgbot Checkin
2015-05-08 12:53 hgbot Note Added: 0077231
2015-05-08 12:53 hgbot Status scheduled => resolved
2015-05-08 12:53 hgbot Resolution open => fixed
2015-05-08 12:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q2.1/rev/91d01b8f8436ba6ee1e08d38c731002b919e639a [^]
2015-05-08 12:54 umartirena Note Added: 0077232
2015-05-08 12:54 umartirena Status resolved => closed
2015-05-08 12:54 umartirena Fixed in Version => 3.0PR15Q2.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker